Bug 199706 - ifdown does not invoke ifenslave -d on a bonded interface member.
ifdown does not invoke ifenslave -d on a bonded interface member.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
:
Depends On:
Blocks: 198694
  Show dependency treegraph
 
Reported: 2006-07-21 10:40 EDT by Jose Plans
Modified: 2010-10-22 01:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0303
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:31:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing this problem. (1.44 KB, patch)
2006-07-21 10:40 EDT, Jose Plans
no flags Details | Diff
initscript-ifdown2.patch without IP (1.22 KB, patch)
2006-07-21 13:12 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-07-21 10:40:29 EDT
initscripts-7.93.24.EL-1.1

/sbin/ifdown does not invoke "/sbin/ifenslave -d" on a bonded interface member.
If we bring down this interface : ifdown eth2, we can't bring it back up by any
means.

This produces a situation where the interface becomes unusable without bouncing
the whole bond. This situation is suitable for enterprise high-reliability
deployments.

This bug is also present in RHEL3 initscripts (yes, I know it's too late, but I
thought I'd mention it).

The attached patch allows you to :
  - remove a slave from an active bonding and being able to retach it to either
the old one (preserving its configuration) or to assign other configuration
making it active (manually).
  - detach the slaves from the bonding if we ask to bring down the bonding itself.

Let me know if there's need for more details,
   jose
Comment 1 Jose Plans 2006-07-21 10:40:29 EDT
Created attachment 132815 [details]
Patch fixing this problem.
Comment 3 Bill Nottingham 2006-07-21 10:56:32 EDT
Why check with ip - why not just unilaterally remove the slaves?
Comment 4 Jose Plans 2006-07-21 13:12:33 EDT
Created attachment 132824 [details]
initscript-ifdown2.patch without IP
Comment 6 RHEL Product and Program Management 2006-08-18 11:01:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Bill Nottingham 2006-11-20 16:41:41 EST
Added in CVS, will be in 7.93.26.EL-1 or later.
Comment 13 Red Hat Bugzilla 2007-05-01 13:31:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0303.html

Note You need to log in before you can comment on or make changes to this bug.